Bug 502342 - yum crash
yum crash
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 06:40 EDT by Adrin Jalali
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 18:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2009-05-24 06:40:20 EDT
using:
yum-presto-0.5.0-1.fc11.noarch
PackageKit-yum-plugin-0.4.6-8.fc11.x86_64
yum-plugin-changelog-1.1.22-1.fc11.noarch
yum-metadata-parser-1.1.2-12.fc11.x86_64
PackageKit-yum-0.4.6-8.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
yum-3.2.22-5.fc11.noarch
yum-utils-1.1.22-1.fc11.noarch


This happens:
# yum --enablerepo=updates-testing --enablerepo=rawhide update
Loaded plugins: changelog, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package ekiga.x86_64 0:3.2.4-1.fc11 set to be updated
---> Package gstreamer-plugins-good.x86_64 0:0.10.15-1.fc11 set to be updated
---> Package iotop.noarch 0:0.3-1.fc11 set to be updated
---> Package iwl5000-firmware.noarch 0:8.24.2.12-1.fc11 set to be updated
---> Package libvirt.x86_64 0:0.6.2-9.fc11 set to be updated
---> Package libvirt-python.x86_64 0:0.6.2-9.fc11 set to be updated
---> Package ntp.x86_64 0:4.2.4p7-1.fc11 set to be updated
---> Package ntpdate.x86_64 0:4.2.4p7-1.fc11 set to be updated
---> Package opal.x86_64 0:3.6.2-1.fc11 set to be updated
---> Package ptlib.x86_64 0:2.6.2-1.fc11 set to be updated
---> Package rsync.x86_64 0:3.0.5-2.fc11 set to be updated
--> Finished Dependency Resolution
updates-testing/updateinfo                                                                                                                                                         |  55 kB     00:05     
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 219, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 734, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/changelog.py", line 279, in postresolve_hook
    mdi = UpdateMetadata(repos=list(repos))
  File "/usr/lib/python2.6/site-packages/yum/update_md.py", line 307, in __init__
    self.add(repo)
  File "/usr/lib/python2.6/site-packages/yum/update_md.py", line 378, in add
    un = UpdateNotice(elem)
  File "/usr/lib/python2.6/site-packages/yum/update_md.py", line 72, in __init__
    self._parse(elem)
  File "/usr/lib/python2.6/site-packages/yum/update_md.py", line 149, in _parse
    raise UpdateNoticeException("No id element found")
yum.update_md.UpdateNoticeException: No id element found
Comment 1 James Antill 2009-05-25 18:41:51 EDT
 This is a Fedora problem.

https://fedorahosted.org/rel-eng/ticket/1856

Note You need to log in before you can comment on or make changes to this bug.